Subject: Re: [PATCH net] vhost: vringh: Fix copy_to_iter return value check

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 1 Oct 2025 07:22:00 -0400

On Sat, Sep 27, 2025 at 12:50:07AM +0000, [email-masked] wrote:
> Hello:
> 
> This patch was applied to netdev/net.git (main)
> by Jakub Kicinski <[email-masked]>:
> 
> On Thu, 25 Sep 2025 02:04:08 -0400 you wrote:
> > The return value of copy_to_iter can't be negative, check whether the
> > copied length is equal to the requested length instead of checking for
> > negative values.
> > 
> > Cc: zhang jiao <[email-masked]>
> > Link: https://lore.kernel.org/all/[email-masked]
> > Signed-off-by: Michael S. Tsirkin <[email-masked]>
> > 
> > [...]
> 
> Here is the summary with links:
>   - [net] vhost: vringh: Fix copy_to_iter return value check
>     https://git.kernel.org/netdev/net/c/439263376c2c
> 
> You are awesome, thank you!
> -- 
> Deet-doot-dot, I am a bot.
> https://korg.docs.kernel.org/patchwork/pwbot.html
> 

It's probably stable material. Does netdev still have a separate
stable process? I'm not sure I remember.

-- 
MST